Skip to main content
GET
/
organization
/
{organizationId}
/
targets
Get available event targets to filter events
curl --request GET \
  --url https://api.qovery.com/organization/{organizationId}/targets \
  --header 'Authorization: Bearer <token>'
{
  "targets": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://qovery-docs-cronjob-required-affinity.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string<uuid>
required

Organization ID

Query Parameters

fromTimestamp
string | null

Display targets available since this timestamp.
A range of date can be specified by using from-timestamp with to-timestamp The format is a timestamp with nano precision

toTimestamp
string | null

Display targets triggered before this timestamp.
A range of date can be specified by using to-timestamp with from-timestamp The format is a timestamp with nano precision

eventType
enum<string>

Type of the organization event

Available options:
CREATE,
UPDATE,
DELETE,
ACCEPT,
EXPORT,
CLONE,
DEPLOY_QUEUED,
STOP_QUEUED,
RESTART_QUEUED,
DELETE_QUEUED,
UNINSTALL_QUEUED,
MAINTENANCE,
DRY_RUN,
TRIGGER_REDEPLOY,
TRIGGER_CANCEL,
FORCE_RUN_QUEUED,
FORCE_RUN_QUEUED_DEPLOY,
FORCE_RUN_QUEUED_STOP,
FORCE_RUN_QUEUED_DELETE,
TRIGGER_DEPLOY,
TRIGGER_STOP,
TRIGGER_RESTART,
TRIGGER_DELETE,
TRIGGER_UNINSTALL,
TRIGGER_DEPLOY_DRY_RUN,
TRIGGER_TERRAFORM_FORCE_UNLOCK,
TRIGGER_TERRAFORM_MIGRATE_STATE,
TRIGGER_FORCE_RUN,
TRIGGER_FORCE_RUN_DEPLOY,
TRIGGER_FORCE_RUN_STOP,
TRIGGER_FORCE_RUN_DELETE,
DEPLOYED,
STOPPED,
DELETED,
UNINSTALLED,
RESTARTED,
DEPLOYED_DRY_RUN,
FORCE_RUN_SUCCEEDED,
TERRAFORM_FORCE_UNLOCK_SUCCEEDED,
TERRAFORM_MIGRATE_STATE_SUCCEEDED,
DEPLOY_FAILED,
STOP_FAILED,
DELETE_FAILED,
UNINSTALL_FAILED,
RESTART_FAILED,
DEPLOYED_DRY_RUN_FAILED,
FORCE_RUN_FAILED,
TERRAFORM_FORCE_UNLOCK_FAILED,
TERRAFORM_MIGRATE_STATE_FAILED,
SHELL,
PORT_FORWARD,
REMOTE_DEBUG,
IMPORT,
LOCK,
UNLOCK
Example:

"CREATE"

targetType
enum<string>

Type of the organization event

Available options:
APPLICATION,
CLUSTER,
CONTAINER,
CONTAINER_REGISTRY,
DATABASE,
ENTERPRISE_CONNECTION,
ENVIRONMENT,
JOB,
HELM,
HELM_REPOSITORY,
MEMBERS_AND_ROLES,
ORGANIZATION,
PROJECT,
WEBHOOK,
TERRAFORM
Example:

"APPLICATION"

triggeredBy
string

Information about the owner of the event (user name / apitoken / automatic action)

origin
enum<string>

Origin of the organization event

Available options:
API,
CLI,
CONSOLE,
GIT,
QOVERY_INTERNAL,
TERRAFORM_PROVIDER
Example:

"API"

projectId
string<uuid>

Mandatory when requesting an environment or a service

environmentId
string<uuid>

Mandatory when requesting a service

targetLevelToFetch
enum<string>

Used only to retrieve projects or environments linked to service typed events The target level to fetch

Available options:
PROJECT,
ENVIRONMENT

Response

Get organization event targets

targets
object[]